# Constant Field Values

## Contents

- com.sun.*
- javax.media.*

## com.sun.*

com.sun.j3d.audioengines.AudioEngineThread
Modifier and Type
Constant Field
Value
`protected static final boolean`
`debugFlag`
`false`
`protected static final int`
`NOTIFY_AND_WAIT`
`1`
`protected static final int`
`RUN`
`2`
`protected static final int`
`STOP`
`3`
`protected static final int`
`UPDATE_THREAD`
`2`
`protected static final int`
`WAIT`
`0`
`protected static final int`
`WORK_THREAD`
`1`
com.sun.j3d.audioengines.AuralParameters
Modifier and Type
Constant Field
Value
`public static final int`
`NO_FILTERING`
`-1`
`public static final float`
`SPEED_OF_SOUND`
`0.3440000116825104f`
com.sun.j3d.audioengines.Sample
Modifier and Type
Constant Field
Value
`protected static final boolean`
`debugFlag`
`false`
`public static final int`
`DURATION_UNKNOWN`
`-1`
`protected static final boolean`
`internalErrors`
`false`
`public static final int`
`LOW_PASS`
`1`
`public static final int`
`NO_FILTERING`
`-1`
`public static final int`
`NULL_SAMPLE`
`-1`

com.sun.j3d.audioengines.javasound.JavaSoundMixer
Modifier and Type
Constant Field
Value
`protected static final int`
`NOT_PAUSED`
`0`
`protected static final int`
`PAUSE_PENDING`
`1`
`protected static final int`
`PAUSED`
`2`
`protected static final int`
`RESUME_PENDING`
`3`

com.sun.j3d.exp.swing.JCanvas3D
Modifier and Type
Constant Field
Value
`public static final int`
`RESIZE_DELAYED`
`1`
`public static final int`
`RESIZE_IMMEDIATELY`
`0`

com.sun.j3d.loaders.Loader
Modifier and Type
Constant Field
Value
`public static final int`
`LOAD_ALL`
`-1`
`public static final int`
`LOAD_BACKGROUND_NODES`
`4`
`public static final int`
`LOAD_BEHAVIOR_NODES`
`8`
`public static final int`
`LOAD_FOG_NODES`
`2`
`public static final int`
`LOAD_LIGHT_NODES`
`1`
`public static final int`
`LOAD_SOUND_NODES`
`32`
`public static final int`
`LOAD_VIEW_GROUPS`
`16`

com.sun.j3d.loaders.objectfile.ObjectFile
Modifier and Type
Constant Field
Value
`public static final int`
`RESIZE`
`64`
`public static final int`
`REVERSE`
`256`
`public static final int`
`STRIPIFY`
`512`
`public static final int`
`TRIANGULATE`
`128`

com.sun.j3d.utils.behaviors.mouse.MouseBehavior
Modifier and Type
Constant Field
Value
`public static final int`
`INVERT_INPUT`
`2`
`public static final int`
`MANUAL_WAKEUP`
`1`
com.sun.j3d.utils.behaviors.mouse.MouseBehaviorCallback
Modifier and Type
Constant Field
Value
`public static final int`
`ROTATE`
`0`
`public static final int`
`TRANSLATE`
`1`
`public static final int`
`ZOOM`
`2`

com.sun.j3d.utils.behaviors.picking.PickingCallback
Modifier and Type
Constant Field
Value
`public static final int`
`NO_PICK`
`3`
`public static final int`
`ROTATE`
`0`
`public static final int`
`TRANSLATE`
`1`
`public static final int`
`ZOOM`
`2`
com.sun.j3d.utils.behaviors.picking.PickMouseBehavior
Modifier and Type
Constant Field
Value
`protected static final boolean`
`debug`
`false`
com.sun.j3d.utils.behaviors.picking.PickObject
Modifier and Type
Constant Field
Value
`public static final int`
`BRANCH_GROUP`
`64`
`public static final int`
`GROUP`
`16`
`public static final int`
`LINK`
`8`
`public static final int`
`MORPH`
`2`
`public static final int`
`PRIMITIVE`
`4`
`public static final int`
`SHAPE3D`
`1`
`public static final int`
`SWITCH`
`128`
`public static final int`
`TRANSFORM_GROUP`
`32`
`public static final int`
`USE_BOUNDS`
`512`
`public static final int`
`USE_GEOMETRY`
`256`

com.sun.j3d.utils.behaviors.sensor.SensorEvent
Modifier and Type
Constant Field
Value
`public static final int`
`DRAGGED`
`3`
`public static final int`
`NOBUTTON`
`-1`
`public static final int`
`PRESSED`
`1`
`public static final int`
`READ`
`4`
`public static final int`
`RELEASED`
`2`

com.sun.j3d.utils.behaviors.vp.OrbitBehavior
Modifier and Type
Constant Field
Value
`public static final int`
`DISABLE_ROTATE`
`512`
`public static final int`
`DISABLE_TRANSLATE`
`1024`
`public static final int`
`DISABLE_ZOOM`
`2048`
`public static final int`
`PROPORTIONAL_ZOOM`
`4096`
`public static final int`
`REVERSE_ALL`
`112`
`public static final int`
`REVERSE_ROTATE`
`16`
`public static final int`
`REVERSE_TRANSLATE`
`32`
`public static final int`
`REVERSE_ZOOM`
`64`
`public static final int`
`STOP_ZOOM`
`256`
com.sun.j3d.utils.behaviors.vp.ViewPlatformAWTBehavior
Modifier and Type
Constant Field
Value
`public static final int`
`KEY_LISTENER`
`4`
`public static final int`
`MOUSE_LISTENER`
`1`
`public static final int`
`MOUSE_MOTION_LISTENER`
`2`
`public static final int`
`MOUSE_WHEEL_LISTENER`
`8`
`protected static final int`
`POST_ID`
`9998`
com.sun.j3d.utils.behaviors.vp.WandViewBehavior
Modifier and Type
Constant Field
Value
`public static final int`
`BEAM`
`24`
`public static final int`
`DEGREES`
`16`
`public static final int`
`ECHO`
`22`
`public static final int`
`GNOMON`
`23`
`public static final int`
`GRAB_VIEW`
`1`
`public static final int`
`HEAD`
`18`
`public static final int`
`HOTSPOT`
`21`
`public static final int`
`NONE`
`0`
`public static final int`
`PER_FRAME`
`11`
`public static final int`
`PER_SECOND`
`12`
`public static final int`
`PHYSICAL_METERS`
`14`
`public static final int`
`RADIANS`
`15`
`public static final int`
`ROTATE_CCW`
`4`
`public static final int`
`ROTATE_CW`
`5`
`public static final int`
`ROTATION`
`10`
`public static final int`
`SCALE`
`9`
`public static final int`
`SCALE_DOWN`
`7`
`public static final int`
`SCALE_UP`
`6`
`public static final int`
`SENSOR`
`19`
`public static final int`
`TRANSLATE_BACKWARD`
`3`
`public static final int`
`TRANSLATE_FORWARD`
`2`
`public static final int`
`TRANSLATION`
`8`
`public static final int`
`VIEW_PLATFORM`
`17`
`public static final int`
`VIRTUAL_UNITS`
`13`
`public static final int`
`VWORLD_FIXED`
`20`

com.sun.j3d.utils.geometry.Box
Modifier and Type
Constant Field
Value
`public static final int`
`BACK`
`1`
`public static final int`
`BOTTOM`
`5`
`public static final int`
`FRONT`
`0`
`public static final int`
`LEFT`
`3`
`public static final int`
`RIGHT`
`2`
`public static final int`
`TOP`
`4`
com.sun.j3d.utils.geometry.Cone
Modifier and Type
Constant Field
Value
`public static final int`
`BODY`
`0`
`public static final int`
`CAP`
`1`
com.sun.j3d.utils.geometry.Cylinder
Modifier and Type
Constant Field
Value
`public static final int`
`BODY`
`0`
`public static final int`
`BOTTOM`
`2`
`public static final int`
`TOP`
`1`
com.sun.j3d.utils.geometry.GeometryInfo
Modifier and Type
Constant Field
Value
`public static final int`
`POLYGON_ARRAY`
`5`
`public static final int`
`QUAD_ARRAY`
`2`
`public static final int`
`TRIANGLE_ARRAY`
`1`
`public static final int`
`TRIANGLE_FAN_ARRAY`
`3`
`public static final int`
`TRIANGLE_STRIP_ARRAY`
`4`
com.sun.j3d.utils.geometry.Primitive
Modifier and Type
Constant Field
Value
`public static final int`
`ENABLE_APPEARANCE_MODIFY`
`64`
`public static final int`
`ENABLE_GEOMETRY_PICKING`
`32`
`public static final int`
`GENERATE_NORMALS`
`1`
`public static final int`
`GENERATE_NORMALS_INWARD`
`4`
`public static final int`
`GENERATE_TEXTURE_COORDS`
`2`
`public static final int`
`GENERATE_TEXTURE_COORDS_Y_UP`
`8`
`public static final int`
`GEOMETRY_NOT_SHARED`
`16`
com.sun.j3d.utils.geometry.Sphere
Modifier and Type
Constant Field
Value
`public static final int`
`BODY`
`0`
com.sun.j3d.utils.geometry.Stripifier
Modifier and Type
Constant Field
Value
`public static final int`
`COLLECT_STATS`
`1`

com.sun.j3d.utils.geometry.compression.CompressedGeometryData.Header
Modifier and Type
Constant Field
Value
`public static final int`
`ALPHA_IN_BUFFER`
`4`
`public static final int`
`COLOR_IN_BUFFER`
`2`
`public static final int`
`LINE_BUFFER`
`1`
`public static final int`
`NORMAL_IN_BUFFER`
`1`
`public static final int`
`POINT_BUFFER`
`0`
`public static final int`
`TRIANGLE_BUFFER`
`2`

com.sun.j3d.utils.image.TextureLoader
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_NON_POWER_OF_TWO`
`8`
`public static final int`
`BY_REFERENCE`
`2`
`public static final int`
`GENERATE_MIPMAP`
`1`
`public static final int`
`Y_UP`
`4`

com.sun.j3d.utils.pickfast.PickTool
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_BRANCH_GROUP`
`64`
`public static final int`
`TYPE_GROUP`
`16`
`public static final int`
`TYPE_LINK`
`8`
`public static final int`
`TYPE_MORPH`
`2`
`public static final int`
`TYPE_PRIMITIVE`
`4`
`public static final int`
`TYPE_SHAPE3D`
`1`
`public static final int`
`TYPE_SWITCH`
`128`
`public static final int`
`TYPE_TRANSFORM_GROUP`
`32`

com.sun.j3d.utils.pickfast.behaviors.PickingCallback
Modifier and Type
Constant Field
Value
`public static final int`
`NO_PICK`
`3`
`public static final int`
`ROTATE`
`0`
`public static final int`
`TRANSLATE`
`1`
`public static final int`
`ZOOM`
`2`
com.sun.j3d.utils.pickfast.behaviors.PickMouseBehavior
Modifier and Type
Constant Field
Value
`protected static final boolean`
`debug`
`false`

com.sun.j3d.utils.picking.PickResult
Modifier and Type
Constant Field
Value
`public static final int`
`BRANCH_GROUP`
`64`
`public static final int`
`GROUP`
`16`
`public static final int`
`LINK`
`8`
`public static final int`
`MORPH`
`2`
`public static final int`
`PRIMITIVE`
`4`
`public static final int`
`SHAPE3D`
`1`
`public static final int`
`SWITCH`
`128`
`public static final int`
`TRANSFORM_GROUP`
`32`
com.sun.j3d.utils.picking.PickTool
Modifier and Type
Constant Field
Value
`public static final int`
`BOUNDS`
`512`
`public static final int`
`GEOMETRY`
`256`
`public static final int`
`GEOMETRY_INTERSECT_INFO`
`1024`
`public static final int`
`INTERSECT_COORD`
`4098`
`public static final int`
`INTERSECT_FULL`
`4100`
`public static final int`
`INTERSECT_TEST`
`4097`

com.sun.j3d.utils.picking.behaviors.PickingCallback
Modifier and Type
Constant Field
Value
`public static final int`
`NO_PICK`
`3`
`public static final int`
`ROTATE`
`0`
`public static final int`
`TRANSLATE`
`1`
`public static final int`
`ZOOM`
`2`
com.sun.j3d.utils.picking.behaviors.PickMouseBehavior
Modifier and Type
Constant Field
Value
`protected static final boolean`
`debug`
`false`

com.sun.j3d.utils.universe.ViewInfo
Modifier and Type
Constant Field
Value
`public static final int`
`CANVAS_AUTO_UPDATE`
`2`
`public static final int`
`HEAD_AUTO_UPDATE`
`8`
`public static final int`
`PLATFORM_AUTO_UPDATE`
`16`
`public static final int`
`SCREEN_AUTO_UPDATE`
`1`
`public static final int`
`VIEW_AUTO_UPDATE`
`4`

## javax.media.*

javax.media.j3d.Alpha
Modifier and Type
Constant Field
Value
`public static final int`
`DECREASING_ENABLE`
`2`
`public static final int`
`INCREASING_ENABLE`
`1`
javax.media.j3d.AlternateAppearance
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_APPEARANCE_READ`
`14`
`public static final int`
`ALLOW_APPEARANCE_WRITE`
`15`
`public static final int`
`ALLOW_INFLUENCING_BOUNDS_READ`
`12`
`public static final int`
`ALLOW_INFLUENCING_BOUNDS_WRITE`
`13`
`public static final int`
`ALLOW_SCOPE_READ`
`16`
`public static final int`
`ALLOW_SCOPE_WRITE`
`17`
javax.media.j3d.Appearance
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_COLORING_ATTRIBUTES_READ`
`8`
`public static final int`
`ALLOW_COLORING_ATTRIBUTES_WRITE`
`9`
`public static final int`
`ALLOW_LINE_ATTRIBUTES_READ`
`16`
`public static final int`
`ALLOW_LINE_ATTRIBUTES_WRITE`
`17`
`public static final int`
`ALLOW_MATERIAL_READ`
`0`
`public static final int`
`ALLOW_MATERIAL_WRITE`
`1`
`public static final int`
`ALLOW_POINT_ATTRIBUTES_READ`
`18`
`public static final int`
`ALLOW_POINT_ATTRIBUTES_WRITE`
`19`
`public static final int`
`ALLOW_POLYGON_ATTRIBUTES_READ`
`14`
`public static final int`
`ALLOW_POLYGON_ATTRIBUTES_WRITE`
`15`
`public static final int`
`ALLOW_RENDERING_ATTRIBUTES_READ`
`12`
`public static final int`
`ALLOW_RENDERING_ATTRIBUTES_WRITE`
`13`
`public static final int`
`ALLOW_TEXGEN_READ`
`4`
`public static final int`
`ALLOW_TEXGEN_WRITE`
`5`
`public static final int`
`ALLOW_TEXTURE_ATTRIBUTES_READ`
`6`
`public static final int`
`ALLOW_TEXTURE_ATTRIBUTES_WRITE`
`7`
`public static final int`
`ALLOW_TEXTURE_READ`
`2`
`public static final int`
`ALLOW_TEXTURE_UNIT_STATE_READ`
`20`
`public static final int`
`ALLOW_TEXTURE_UNIT_STATE_WRITE`
`21`
`public static final int`
`ALLOW_TEXTURE_WRITE`
`3`
`public static final int`
`ALLOW_TRANSPARENCY_ATTRIBUTES_READ`
`10`
`public static final int`
`ALLOW_TRANSPARENCY_ATTRIBUTES_WRITE`
`11`
javax.media.j3d.AudioDevice
Modifier and Type
Constant Field
Value
`public static final int`
`HEADPHONES`
`0`
`public static final int`
`MONO_SPEAKER`
`1`
`public static final int`
`STEREO_SPEAKERS`
`2`
javax.media.j3d.AudioDevice3D
Modifier and Type
Constant Field
Value
`public static final int`
`BACKGROUND_SOUND`
`1`
`public static final int`
`BUFFERED_AUDIO_DATA`
`2`
`public static final int`
`CONE_SOUND`
`3`
`public static final int`
`POINT_SOUND`
`2`
`public static final int`
`STREAMING_AUDIO_DATA`
`1`
javax.media.j3d.AuralAttributes
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_ATTRIBUTE_GAIN_READ`
`0`
`public static final int`
`ALLOW_ATTRIBUTE_GAIN_WRITE`
`1`
`public static final int`
`ALLOW_DECAY_FILTER_READ`
`22`
`public static final int`
`ALLOW_DECAY_FILTER_WRITE`
`23`
`public static final int`
`ALLOW_DECAY_TIME_READ`
`20`
`public static final int`
`ALLOW_DECAY_TIME_WRITE`
`21`
`public static final int`
`ALLOW_DENSITY_READ`
`26`
`public static final int`
`ALLOW_DENSITY_WRITE`
`27`
`public static final int`
`ALLOW_DIFFUSION_READ`
`24`
`public static final int`
`ALLOW_DIFFUSION_WRITE`
`25`
`public static final int`
`ALLOW_DISTANCE_FILTER_READ`
`10`
`public static final int`
`ALLOW_DISTANCE_FILTER_WRITE`
`11`
`public static final int`
`ALLOW_FREQUENCY_SCALE_FACTOR_READ`
`12`
`public static final int`
`ALLOW_FREQUENCY_SCALE_FACTOR_WRITE`
`13`
`public static final int`
`ALLOW_REFLECTION_COEFFICIENT_READ`
`4`
`public static final int`
`ALLOW_REFLECTION_COEFFICIENT_WRITE`
`5`
`public static final int`
`ALLOW_REFLECTION_DELAY_READ`
`16`
`public static final int`
`ALLOW_REFLECTION_DELAY_WRITE`
`17`
`public static final int`
`ALLOW_REVERB_COEFFICIENT_READ`
`18`
`public static final int`
`ALLOW_REVERB_COEFFICIENT_WRITE`
`19`
`public static final int`
`ALLOW_REVERB_DELAY_READ`
`6`
`public static final int`
`ALLOW_REVERB_DELAY_WRITE`
`7`
`public static final int`
`ALLOW_REVERB_ORDER_READ`
`8`
`public static final int`
`ALLOW_REVERB_ORDER_WRITE`
`9`
`public static final int`
`ALLOW_ROLLOFF_READ`
`2`
`public static final int`
`ALLOW_ROLLOFF_WRITE`
`3`
`public static final int`
`ALLOW_VELOCITY_SCALE_FACTOR_READ`
`14`
`public static final int`
`ALLOW_VELOCITY_SCALE_FACTOR_WRITE`
`15`
javax.media.j3d.Background
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_APPLICATION_BOUNDS_READ`
`12`
`public static final int`
`ALLOW_APPLICATION_BOUNDS_WRITE`
`13`
`public static final int`
`ALLOW_COLOR_READ`
`16`
`public static final int`
`ALLOW_COLOR_WRITE`
`17`
`public static final int`
`ALLOW_GEOMETRY_READ`
`18`
`public static final int`
`ALLOW_GEOMETRY_WRITE`
`19`
`public static final int`
`ALLOW_IMAGE_READ`
`14`
`public static final int`
`ALLOW_IMAGE_SCALE_MODE_READ`
`20`
`public static final int`
`ALLOW_IMAGE_SCALE_MODE_WRITE`
`21`
`public static final int`
`ALLOW_IMAGE_WRITE`
`15`
`public static final int`
`SCALE_FIT_ALL`
`3`
`public static final int`
`SCALE_FIT_MAX`
`2`
`public static final int`
`SCALE_FIT_MIN`
`1`
`public static final int`
`SCALE_NONE`
`0`
`public static final int`
`SCALE_NONE_CENTER`
`5`
`public static final int`
`SCALE_REPEAT`
`4`
javax.media.j3d.Billboard
Modifier and Type
Constant Field
Value
`public static final int`
`ROTATE_ABOUT_AXIS`
`0`
`public static final int`
`ROTATE_ABOUT_POINT`
`1`
javax.media.j3d.BoundingLeaf
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_REGION_READ`
`12`
`public static final int`
`ALLOW_REGION_WRITE`
`13`
javax.media.j3d.BranchGroup
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_DETACH`
`17`
javax.media.j3d.Canvas3D
Modifier and Type
Constant Field
Value
`public static final int`
`FIELD_ALL`
`2`
`public static final int`
`FIELD_LEFT`
`0`
`public static final int`
`FIELD_RIGHT`
`1`
javax.media.j3d.Clip
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_APPLICATION_BOUNDS_READ`
`12`
`public static final int`
`ALLOW_APPLICATION_BOUNDS_WRITE`
`13`
`public static final int`
`ALLOW_BACK_DISTANCE_READ`
`14`
`public static final int`
`ALLOW_BACK_DISTANCE_WRITE`
`15`
javax.media.j3d.ColoringAttributes
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_COLOR_READ`
`0`
`public static final int`
`ALLOW_COLOR_WRITE`
`1`
`public static final int`
`ALLOW_SHADE_MODEL_READ`
`2`
`public static final int`
`ALLOW_SHADE_MODEL_WRITE`
`3`
`public static final int`
`FASTEST`
`0`
`public static final int`
`NICEST`
`1`
`public static final int`
`SHADE_FLAT`
`2`
`public static final int`
`SHADE_GOURAUD`
`3`
javax.media.j3d.CompressedGeometry
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_COUNT_READ`
`0`
`public static final int`
`ALLOW_GEOMETRY_READ`
`2`
`public static final int`
`ALLOW_HEADER_READ`
`1`
`public static final int`
`ALLOW_REF_DATA_READ`
`3`
javax.media.j3d.CompressedGeometryHeader
Modifier and Type
Constant Field
Value
`public static final int`
`ALPHA_IN_BUFFER`
`4`
`public static final int`
`COLOR_IN_BUFFER`
`2`
`public static final int`
`LINE_BUFFER`
`1`
`public static final int`
`NORMAL_IN_BUFFER`
`1`
`public static final int`
`POINT_BUFFER`
`0`
`public static final int`
`TRIANGLE_BUFFER`
`2`
javax.media.j3d.ConeSound
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_ANGULAR_ATTENUATION_READ`
`38`
`public static final int`
`ALLOW_ANGULAR_ATTENUATION_WRITE`
`39`
`public static final int`
`ALLOW_DIRECTION_READ`
`36`
`public static final int`
`ALLOW_DIRECTION_WRITE`
`37`
javax.media.j3d.DepthComponent
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_DATA_READ`
`1`
`public static final int`
`ALLOW_SIZE_READ`
`0`
javax.media.j3d.DirectionalLight
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_DIRECTION_READ`
`18`
`public static final int`
`ALLOW_DIRECTION_WRITE`
`19`
javax.media.j3d.ExponentialFog
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_DENSITY_READ`
`16`
`public static final int`
`ALLOW_DENSITY_WRITE`
`17`
javax.media.j3d.Fog
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_COLOR_READ`
`14`
`public static final int`
`ALLOW_COLOR_WRITE`
`15`
`public static final int`
`ALLOW_INFLUENCING_BOUNDS_READ`
`12`
`public static final int`
`ALLOW_INFLUENCING_BOUNDS_WRITE`
`13`
`public static final int`
`ALLOW_SCOPE_READ`
`18`
`public static final int`
`ALLOW_SCOPE_WRITE`
`19`
javax.media.j3d.Geometry
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_INTERSECT`
`18`
javax.media.j3d.GeometryArray
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_COLOR_READ`
`2`
`public static final int`
`ALLOW_COLOR_WRITE`
`3`
`public static final int`
`ALLOW_COORDINATE_READ`
`0`
`public static final int`
`ALLOW_COORDINATE_WRITE`
`1`
`public static final int`
`ALLOW_COUNT_READ`
`8`
`public static final int`
`ALLOW_COUNT_WRITE`
`20`
`public static final int`
`ALLOW_FORMAT_READ`
`17`
`public static final int`
`ALLOW_NORMAL_READ`
`4`
`public static final int`
`ALLOW_NORMAL_WRITE`
`5`
`public static final int`
`ALLOW_REF_DATA_READ`
`21`
`public static final int`
`ALLOW_REF_DATA_WRITE`
`19`
`public static final int`
`ALLOW_TEXCOORD_READ`
`6`
`public static final int`
`ALLOW_TEXCOORD_WRITE`
`7`
`public static final int`
`ALLOW_VERTEX_ATTR_READ`
`22`
`public static final int`
`ALLOW_VERTEX_ATTR_WRITE`
`23`
`public static final int`
`BY_REFERENCE`
`128`
`public static final int`
`BY_REFERENCE_INDICES`
`8192`
`public static final int`
`COLOR_3`
`4`
`public static final int`
`COLOR_4`
`12`
`public static final int`
`COORDINATES`
`1`
`public static final int`
`INTERLEAVED`
`256`
`public static final int`
`NORMALS`
`2`
`public static final int`
`TEXTURE_COORDINATE_2`
`32`
`public static final int`
`TEXTURE_COORDINATE_3`
`64`
`public static final int`
`TEXTURE_COORDINATE_4`
`1024`
`public static final int`
`USE_COORD_INDEX_ONLY`
`512`
`public static final int`
`USE_NIO_BUFFER`
`2048`
`public static final int`
`VERTEX_ATTRIBUTES`
`4096`
javax.media.j3d.GraphicsContext3D
Modifier and Type
Constant Field
Value
`public static final int`
`STEREO_BOTH`
`2`
`public static final int`
`STEREO_LEFT`
`0`
`public static final int`
`STEREO_RIGHT`
`1`
javax.media.j3d.Group
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_CHILDREN_EXTEND`
`14`
`public static final int`
`ALLOW_CHILDREN_READ`
`12`
`public static final int`
`ALLOW_CHILDREN_WRITE`
`13`
`public static final int`
`ALLOW_COLLISION_BOUNDS_READ`
`15`
`public static final int`
`ALLOW_COLLISION_BOUNDS_WRITE`
`16`
javax.media.j3d.ImageComponent
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_FORMAT_READ`
`1`
`public static final int`
`ALLOW_IMAGE_READ`
`2`
`public static final int`
`ALLOW_IMAGE_WRITE`
`3`
`public static final int`
`ALLOW_SIZE_READ`
`0`
`public static final int`
`FORMAT_CHANNEL8`
`10`
`public static final int`
`FORMAT_LUM4_ALPHA4`
`7`
`public static final int`
`FORMAT_LUM8_ALPHA8`
`8`
`public static final int`
`FORMAT_R3_G3_B2`
`9`
`public static final int`
`FORMAT_RGB`
`1`
`public static final int`
`FORMAT_RGB4`
`5`
`public static final int`
`FORMAT_RGB5`
`3`
`public static final int`
`FORMAT_RGB5_A1`
`4`
`public static final int`
`FORMAT_RGB8`
`1`
`public static final int`
`FORMAT_RGBA`
`2`
`public static final int`
`FORMAT_RGBA4`
`6`
`public static final int`
`FORMAT_RGBA8`
`2`
javax.media.j3d.IndexedGeometryArray
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_COLOR_INDEX_READ`
`11`
`public static final int`
`ALLOW_COLOR_INDEX_WRITE`
`12`
`public static final int`
`ALLOW_COORDINATE_INDEX_READ`
`9`
`public static final int`
`ALLOW_COORDINATE_INDEX_WRITE`
`10`
`public static final int`
`ALLOW_NORMAL_INDEX_READ`
`13`
`public static final int`
`ALLOW_NORMAL_INDEX_WRITE`
`14`
`public static final int`
`ALLOW_TEXCOORD_INDEX_READ`
`15`
`public static final int`
`ALLOW_TEXCOORD_INDEX_WRITE`
`16`
`public static final int`
`ALLOW_VERTEX_ATTR_INDEX_READ`
`24`
`public static final int`
`ALLOW_VERTEX_ATTR_INDEX_WRITE`
`25`
javax.media.j3d.InputDevice
Modifier and Type
Constant Field
Value
`public static final int`
`BLOCKING`
`3`
`public static final int`
`DEMAND_DRIVEN`
`5`
`public static final int`
`NON_BLOCKING`
`4`
javax.media.j3d.Light
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_COLOR_READ`
`14`
`public static final int`
`ALLOW_COLOR_WRITE`
`15`
`public static final int`
`ALLOW_INFLUENCING_BOUNDS_READ`
`16`
`public static final int`
`ALLOW_INFLUENCING_BOUNDS_WRITE`
`17`
`public static final int`
`ALLOW_SCOPE_READ`
`28`
`public static final int`
`ALLOW_SCOPE_WRITE`
`29`
`public static final int`
`ALLOW_STATE_READ`
`12`
`public static final int`
`ALLOW_STATE_WRITE`
`13`
javax.media.j3d.LinearFog
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_DISTANCE_READ`
`16`
`public static final int`
`ALLOW_DISTANCE_WRITE`
`17`
javax.media.j3d.LineAttributes
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_ANTIALIASING_READ`
`4`
`public static final int`
`ALLOW_ANTIALIASING_WRITE`
`5`
`public static final int`
`ALLOW_PATTERN_READ`
`2`
`public static final int`
`ALLOW_PATTERN_WRITE`
`3`
`public static final int`
`ALLOW_WIDTH_READ`
`0`
`public static final int`
`ALLOW_WIDTH_WRITE`
`1`
`public static final int`
`PATTERN_DASH`
`1`
`public static final int`
`PATTERN_DASH_DOT`
`3`
`public static final int`
`PATTERN_DOT`
`2`
`public static final int`
`PATTERN_SOLID`
`0`
`public static final int`
`PATTERN_USER_DEFINED`
`4`
javax.media.j3d.Link
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_SHARED_GROUP_READ`
`12`
`public static final int`
`ALLOW_SHARED_GROUP_WRITE`
`13`
javax.media.j3d.Material
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_COMPONENT_READ`
`0`
`public static final int`
`ALLOW_COMPONENT_WRITE`
`1`
`public static final int`
`AMBIENT`
`0`
`public static final int`
`AMBIENT_AND_DIFFUSE`
`4`
`public static final int`
`DIFFUSE`
`2`
`public static final int`
`EMISSIVE`
`1`
`public static final int`
`SPECULAR`
`3`
javax.media.j3d.MediaContainer
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_CACHE_READ`
`0`
`public static final int`
`ALLOW_CACHE_WRITE`
`1`
`public static final int`
`ALLOW_URL_READ`
`2`
`public static final int`
`ALLOW_URL_WRITE`
`3`
javax.media.j3d.ModelClip
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_ENABLE_READ`
`16`
`public static final int`
`ALLOW_ENABLE_WRITE`
`17`
`public static final int`
`ALLOW_INFLUENCING_BOUNDS_READ`
`12`
`public static final int`
`ALLOW_INFLUENCING_BOUNDS_WRITE`
`13`
`public static final int`
`ALLOW_PLANE_READ`
`14`
`public static final int`
`ALLOW_PLANE_WRITE`
`15`
`public static final int`
`ALLOW_SCOPE_READ`
`18`
`public static final int`
`ALLOW_SCOPE_WRITE`
`19`
javax.media.j3d.Morph
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_APPEARANCE_OVERRIDE_READ`
`20`
`public static final int`
`ALLOW_APPEARANCE_OVERRIDE_WRITE`
`21`
`public static final int`
`ALLOW_APPEARANCE_READ`
`14`
`public static final int`
`ALLOW_APPEARANCE_WRITE`
`15`
`public static final int`
`ALLOW_COLLISION_BOUNDS_READ`
`18`
`public static final int`
`ALLOW_COLLISION_BOUNDS_WRITE`
`19`
`public static final int`
`ALLOW_GEOMETRY_ARRAY_READ`
`12`
`public static final int`
`ALLOW_GEOMETRY_ARRAY_WRITE`
`13`
`public static final int`
`ALLOW_WEIGHTS_READ`
`16`
`public static final int`
`ALLOW_WEIGHTS_WRITE`
`17`
javax.media.j3d.Node
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_AUTO_COMPUTE_BOUNDS_READ`
`9`
`public static final int`
`ALLOW_AUTO_COMPUTE_BOUNDS_WRITE`
`10`
`public static final int`
`ALLOW_BOUNDS_READ`
`3`
`public static final int`
`ALLOW_BOUNDS_WRITE`
`4`
`public static final int`
`ALLOW_COLLIDABLE_READ`
`7`
`public static final int`
`ALLOW_COLLIDABLE_WRITE`
`8`
`public static final int`
`ALLOW_LOCAL_TO_VWORLD_READ`
`11`
`public static final int`
`ALLOW_LOCALE_READ`
`47`
`public static final int`
`ALLOW_PARENT_READ`
`46`
`public static final int`
`ALLOW_PICKABLE_READ`
`5`
`public static final int`
`ALLOW_PICKABLE_WRITE`
`6`
`public static final int`
`ENABLE_COLLISION_REPORTING`
`0`
`public static final int`
`ENABLE_PICK_REPORTING`
`1`
javax.media.j3d.OrderedGroup
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_CHILD_INDEX_ORDER_READ`
`17`
`public static final int`
`ALLOW_CHILD_INDEX_ORDER_WRITE`
`18`
javax.media.j3d.OrientedShape3D
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_AXIS_READ`
`22`
`public static final int`
`ALLOW_AXIS_WRITE`
`23`
`public static final int`
`ALLOW_MODE_READ`
`20`
`public static final int`
`ALLOW_MODE_WRITE`
`21`
`public static final int`
`ALLOW_POINT_READ`
`24`
`public static final int`
`ALLOW_POINT_WRITE`
`25`
`public static final int`
`ALLOW_SCALE_READ`
`26`
`public static final int`
`ALLOW_SCALE_WRITE`
`27`
`public static final int`
`ROTATE_ABOUT_AXIS`
`0`
`public static final int`
`ROTATE_ABOUT_POINT`
`1`
`public static final int`
`ROTATE_NONE`
`2`
javax.media.j3d.PickInfo
Modifier and Type
Constant Field
Value
`public static final int`
`ALL_GEOM_INFO`
`64`
`public static final int`
`CLOSEST_DISTANCE`
`16`
`public static final int`
`CLOSEST_GEOM_INFO`
`32`
`public static final int`
`CLOSEST_INTERSECTION_POINT`
`8`
`public static final int`
`LOCAL_TO_VWORLD`
`4`
`public static final int`
`NODE`
`2`
`public static final int`
`PICK_BOUNDS`
`1`
`public static final int`
`PICK_GEOMETRY`
`2`
`public static final int`
`SCENEGRAPHPATH`
`1`
javax.media.j3d.PointAttributes
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_ANTIALIASING_READ`
`2`
`public static final int`
`ALLOW_ANTIALIASING_WRITE`
`3`
`public static final int`
`ALLOW_SIZE_READ`
`0`
`public static final int`
`ALLOW_SIZE_WRITE`
`1`
javax.media.j3d.PointLight
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_ATTENUATION_READ`
`20`
`public static final int`
`ALLOW_ATTENUATION_WRITE`
`21`
`public static final int`
`ALLOW_POSITION_READ`
`18`
`public static final int`
`ALLOW_POSITION_WRITE`
`19`
javax.media.j3d.PointSound
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_DISTANCE_GAIN_READ`
`34`
`public static final int`
`ALLOW_DISTANCE_GAIN_WRITE`
`35`
`public static final int`
`ALLOW_POSITION_READ`
`32`
`public static final int`
`ALLOW_POSITION_WRITE`
`33`
javax.media.j3d.PolygonAttributes
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_CULL_FACE_READ`
`0`
`public static final int`
`ALLOW_CULL_FACE_WRITE`
`1`
`public static final int`
`ALLOW_MODE_READ`
`2`
`public static final int`
`ALLOW_MODE_WRITE`
`3`
`public static final int`
`ALLOW_NORMAL_FLIP_READ`
`6`
`public static final int`
`ALLOW_NORMAL_FLIP_WRITE`
`7`
`public static final int`
`ALLOW_OFFSET_READ`
`4`
`public static final int`
`ALLOW_OFFSET_WRITE`
`5`
`public static final int`
`CULL_BACK`
`1`
`public static final int`
`CULL_FRONT`
`2`
`public static final int`
`CULL_NONE`
`0`
`public static final int`
`POLYGON_FILL`
`2`
`public static final int`
`POLYGON_LINE`
`1`
`public static final int`
`POLYGON_POINT`
`0`
javax.media.j3d.Raster
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_CLIP_MODE_READ`
`11`
`public static final int`
`ALLOW_CLIP_MODE_WRITE`
`12`
`public static final int`
`ALLOW_DEPTH_COMPONENT_READ`
`6`
`public static final int`
`ALLOW_DEPTH_COMPONENT_WRITE`
`7`
`public static final int`
`ALLOW_IMAGE_READ`
`4`
`public static final int`
`ALLOW_IMAGE_WRITE`
`5`
`public static final int`
`ALLOW_OFFSET_READ`
`2`
`public static final int`
`ALLOW_OFFSET_WRITE`
`3`
`public static final int`
`ALLOW_POSITION_READ`
`0`
`public static final int`
`ALLOW_POSITION_WRITE`
`1`
`public static final int`
`ALLOW_SIZE_READ`
`8`
`public static final int`
`ALLOW_SIZE_WRITE`
`9`
`public static final int`
`ALLOW_TYPE_READ`
`10`
`public static final int`
`CLIP_IMAGE`
`1`
`public static final int`
`CLIP_POSITION`
`0`
`public static final int`
`RASTER_COLOR`
`1`
`public static final int`
`RASTER_COLOR_DEPTH`
`3`
`public static final int`
`RASTER_DEPTH`
`2`
javax.media.j3d.RenderingAttributes
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_ALPHA_TEST_FUNCTION_READ`
`2`
`public static final int`
`ALLOW_ALPHA_TEST_FUNCTION_WRITE`
`3`
`public static final int`
`ALLOW_ALPHA_TEST_VALUE_READ`
`0`
`public static final int`
`ALLOW_ALPHA_TEST_VALUE_WRITE`
`1`
`public static final int`
`ALLOW_DEPTH_ENABLE_READ`
`4`
`public static final int`
`ALLOW_DEPTH_ENABLE_WRITE`
`11`
`public static final int`
`ALLOW_DEPTH_TEST_FUNCTION_READ`
`12`
`public static final int`
`ALLOW_DEPTH_TEST_FUNCTION_WRITE`
`13`
`public static final int`
`ALLOW_IGNORE_VERTEX_COLORS_READ`
`9`
`public static final int`
`ALLOW_IGNORE_VERTEX_COLORS_WRITE`
`10`
`public static final int`
`ALLOW_RASTER_OP_READ`
`7`
`public static final int`
`ALLOW_RASTER_OP_WRITE`
`8`
`public static final int`
`ALLOW_STENCIL_ATTRIBUTES_READ`
`14`
`public static final int`
`ALLOW_STENCIL_ATTRIBUTES_WRITE`
`15`
`public static final int`
`ALLOW_VISIBLE_READ`
`5`
`public static final int`
`ALLOW_VISIBLE_WRITE`
`6`
`public static final int`
`ALWAYS`
`0`
`public static final int`
`EQUAL`
`2`
`public static final int`
`GREATER`
`6`
`public static final int`
`GREATER_OR_EQUAL`
`7`
`public static final int`
`LESS`
`4`
`public static final int`
`LESS_OR_EQUAL`
`5`
`public static final int`
`NEVER`
`1`
`public static final int`
`NOT_EQUAL`
`3`
`public static final int`
`ROP_AND`
`1`
`public static final int`
`ROP_AND_INVERTED`
`4`
`public static final int`
`ROP_AND_REVERSE`
`2`
`public static final int`
`ROP_CLEAR`
`0`
`public static final int`
`ROP_COPY`
`3`
`public static final int`
`ROP_COPY_INVERTED`
`12`
`public static final int`
`ROP_EQUIV`
`9`
`public static final int`
`ROP_INVERT`
`10`
`public static final int`
`ROP_NAND`
`14`
`public static final int`
`ROP_NOOP`
`5`
`public static final int`
`ROP_NOR`
`8`
`public static final int`
`ROP_OR`
`7`
`public static final int`
`ROP_OR_INVERTED`
`13`
`public static final int`
`ROP_OR_REVERSE`
`11`
`public static final int`
`ROP_SET`
`15`
`public static final int`
`ROP_XOR`
`6`
`public static final int`
`STENCIL_DECR`
`5`
`public static final int`
`STENCIL_INCR`
`4`
`public static final int`
`STENCIL_INVERT`
`6`
`public static final int`
`STENCIL_KEEP`
`1`
`public static final int`
`STENCIL_REPLACE`
`3`
`public static final int`
`STENCIL_ZERO`
`2`
javax.media.j3d.RenderingError
Modifier and Type
Constant Field
Value
`public static final int`
`CONTEXT_CREATION_ERROR`
`3`
`public static final int`
`GRAPHICS_CONFIG_ERROR`
`2`
`public static final int`
`NO_ERROR`
`0`
`public static final int`
`OFF_SCREEN_BUFFER_ERROR`
`4`
`public static final int`
`UNEXPECTED_RENDERING_ERROR`
`1`
javax.media.j3d.Sensor
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_SENSOR_READ_COUNT`
`30`
`public static final int`
`HAND_PREDICTOR`
`64`
`public static final int`
`HEAD_PREDICTOR`
`32`
`public static final int`
`NO_PREDICTOR`
`16`
`public static final int`
`PREDICT_NEXT_FRAME_TIME`
`2`
`public static final int`
`PREDICT_NONE`
`1`
javax.media.j3d.SensorRead
Modifier and Type
Constant Field
Value
`public static final int`
`MAXIMUM_SENSOR_BUTTON_COUNT`
`12`
javax.media.j3d.Shader
Modifier and Type
Constant Field
Value
`public static final int`
`SHADER_TYPE_FRAGMENT`
`2`
`public static final int`
`SHADER_TYPE_VERTEX`
`1`
`public static final int`
`SHADING_LANGUAGE_CG`
`2`
`public static final int`
`SHADING_LANGUAGE_GLSL`
`1`
javax.media.j3d.ShaderAppearance
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_SHADER_ATTRIBUTE_SET_READ`
`24`
`public static final int`
`ALLOW_SHADER_ATTRIBUTE_SET_WRITE`
`25`
`public static final int`
`ALLOW_SHADER_PROGRAM_READ`
`22`
`public static final int`
`ALLOW_SHADER_PROGRAM_WRITE`
`23`
javax.media.j3d.ShaderAttributeObject
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_VALUE_READ`
`0`
`public static final int`
`ALLOW_VALUE_WRITE`
`1`
javax.media.j3d.ShaderAttributeSet
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_ATTRIBUTES_READ`
`0`
`public static final int`
`ALLOW_ATTRIBUTES_WRITE`
`1`
javax.media.j3d.ShaderError
Modifier and Type
Constant Field
Value
`public static final int`
`COMPILE_ERROR`
`1`
`public static final int`
`LINK_ERROR`
`2`
`public static final int`
`NO_ERROR`
`0`
`public static final int`
`SHADER_ATTRIBUTE_LOOKUP_ERROR`
`4`
`public static final int`
`SHADER_ATTRIBUTE_NAME_NOT_SET_ERROR`
`5`
`public static final int`
`SHADER_ATTRIBUTE_TYPE_ERROR`
`6`
`public static final int`
`UNSUPPORTED_LANGUAGE_ERROR`
`7`
`public static final int`
`VERTEX_ATTRIBUTE_LOOKUP_ERROR`
`3`
javax.media.j3d.ShaderProgram
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_NAMES_READ`
`1`
`public static final int`
`ALLOW_SHADERS_READ`
`0`
javax.media.j3d.Shape3D
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_APPEARANCE_OVERRIDE_READ`
`18`
`public static final int`
`ALLOW_APPEARANCE_OVERRIDE_WRITE`
`19`
`public static final int`
`ALLOW_APPEARANCE_READ`
`14`
`public static final int`
`ALLOW_APPEARANCE_WRITE`
`15`
`public static final int`
`ALLOW_COLLISION_BOUNDS_READ`
`16`
`public static final int`
`ALLOW_COLLISION_BOUNDS_WRITE`
`17`
`public static final int`
`ALLOW_GEOMETRY_READ`
`12`
`public static final int`
`ALLOW_GEOMETRY_WRITE`
`13`
javax.media.j3d.SharedGroup
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_LINK_READ`
`17`
javax.media.j3d.Sound
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_CHANNELS_USED_READ`
`31`
`public static final int`
`ALLOW_CONT_PLAY_READ`
`20`
`public static final int`
`ALLOW_CONT_PLAY_WRITE`
`21`
`public static final int`
`ALLOW_DURATION_READ`
`28`
`public static final int`
`ALLOW_ENABLE_READ`
`22`
`public static final int`
`ALLOW_ENABLE_WRITE`
`23`
`public static final int`
`ALLOW_INITIAL_GAIN_READ`
`14`
`public static final int`
`ALLOW_INITIAL_GAIN_WRITE`
`15`
`public static final int`
`ALLOW_IS_PLAYING_READ`
`30`
`public static final int`
`ALLOW_IS_READY_READ`
`29`
`public static final int`
`ALLOW_LOOP_READ`
`16`
`public static final int`
`ALLOW_LOOP_WRITE`
`17`
`public static final int`
`ALLOW_MUTE_READ`
`40`
`public static final int`
`ALLOW_MUTE_WRITE`
`41`
`public static final int`
`ALLOW_PAUSE_READ`
`42`
`public static final int`
`ALLOW_PAUSE_WRITE`
`43`
`public static final int`
`ALLOW_PRIORITY_READ`
`26`
`public static final int`
`ALLOW_PRIORITY_WRITE`
`27`
`public static final int`
`ALLOW_RATE_SCALE_FACTOR_READ`
`44`
`public static final int`
`ALLOW_RATE_SCALE_FACTOR_WRITE`
`45`
`public static final int`
`ALLOW_RELEASE_READ`
`18`
`public static final int`
`ALLOW_RELEASE_WRITE`
`19`
`public static final int`
`ALLOW_SCHEDULING_BOUNDS_READ`
`24`
`public static final int`
`ALLOW_SCHEDULING_BOUNDS_WRITE`
`25`
`public static final int`
`ALLOW_SOUND_DATA_READ`
`12`
`public static final int`
`ALLOW_SOUND_DATA_WRITE`
`13`
`public static final int`
`DURATION_UNKNOWN`
`-1`
`public static final int`
`INFINITE_LOOPS`
`-1`
`public static final float`
`NO_FILTER`
`-1.0f`
javax.media.j3d.Soundscape
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_APPLICATION_BOUNDS_READ`
`12`
`public static final int`
`ALLOW_APPLICATION_BOUNDS_WRITE`
`13`
`public static final int`
`ALLOW_ATTRIBUTES_READ`
`14`
`public static final int`
`ALLOW_ATTRIBUTES_WRITE`
`15`
javax.media.j3d.SpotLight
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_CONCENTRATION_READ`
`25`
`public static final int`
`ALLOW_CONCENTRATION_WRITE`
`24`
`public static final int`
`ALLOW_DIRECTION_READ`
`27`
`public static final int`
`ALLOW_DIRECTION_WRITE`
`26`
`public static final int`
`ALLOW_SPREAD_ANGLE_READ`
`23`
`public static final int`
`ALLOW_SPREAD_ANGLE_WRITE`
`22`
javax.media.j3d.Switch
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_SWITCH_READ`
`17`
`public static final int`
`ALLOW_SWITCH_WRITE`
`18`
`public static final int`
`CHILD_ALL`
`-2`
`public static final int`
`CHILD_MASK`
`-3`
`public static final int`
`CHILD_NONE`
`-1`
javax.media.j3d.TexCoordGeneration
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_ENABLE_READ`
`0`
`public static final int`
`ALLOW_ENABLE_WRITE`
`1`
`public static final int`
`ALLOW_FORMAT_READ`
`2`
`public static final int`
`ALLOW_MODE_READ`
`3`
`public static final int`
`ALLOW_PLANE_READ`
`4`
`public static final int`
`ALLOW_PLANE_WRITE`
`5`
`public static final int`
`EYE_LINEAR`
`1`
`public static final int`
`NORMAL_MAP`
`3`
`public static final int`
`OBJECT_LINEAR`
`0`
`public static final int`
`REFLECTION_MAP`
`4`
`public static final int`
`SPHERE_MAP`
`2`
`public static final int`
`TEXTURE_COORDINATE_2`
`0`
`public static final int`
`TEXTURE_COORDINATE_3`
`1`
`public static final int`
`TEXTURE_COORDINATE_4`
`2`
javax.media.j3d.Text3D
Modifier and Type
Constant Field
Value
`public static final int`
`ALIGN_CENTER`
`0`
`public static final int`
`ALIGN_FIRST`
`1`
`public static final int`
`ALIGN_LAST`
`2`
`public static final int`
`ALLOW_ALIGNMENT_READ`
`6`
`public static final int`
`ALLOW_ALIGNMENT_WRITE`
`7`
`public static final int`
`ALLOW_BOUNDING_BOX_READ`
`12`
`public static final int`
`ALLOW_CHARACTER_SPACING_READ`
`10`
`public static final int`
`ALLOW_CHARACTER_SPACING_WRITE`
`11`
`public static final int`
`ALLOW_FONT3D_READ`
`0`
`public static final int`
`ALLOW_FONT3D_WRITE`
`1`
`public static final int`
`ALLOW_PATH_READ`
`8`
`public static final int`
`ALLOW_PATH_WRITE`
`9`
`public static final int`
`ALLOW_POSITION_READ`
`4`
`public static final int`
`ALLOW_POSITION_WRITE`
`5`
`public static final int`
`ALLOW_STRING_READ`
`2`
`public static final int`
`ALLOW_STRING_WRITE`
`3`
`public static final int`
`PATH_DOWN`
`3`
`public static final int`
`PATH_LEFT`
`0`
`public static final int`
`PATH_RIGHT`
`1`
`public static final int`
`PATH_UP`
`2`
javax.media.j3d.Texture
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_ANISOTROPIC_FILTER_READ`
`12`
`public static final int`
`ALLOW_BOUNDARY_COLOR_READ`
`6`
`public static final int`
`ALLOW_BOUNDARY_MODE_READ`
`2`
`public static final int`
`ALLOW_ENABLE_READ`
`0`
`public static final int`
`ALLOW_ENABLE_WRITE`
`1`
`public static final int`
`ALLOW_FILTER_READ`
`3`
`public static final int`
`ALLOW_FILTER4_READ`
`14`
`public static final int`
`ALLOW_FORMAT_READ`
`9`
`public static final int`
`ALLOW_IMAGE_READ`
`4`
`public static final int`
`ALLOW_IMAGE_WRITE`
`7`
`public static final int`
`ALLOW_LOD_RANGE_READ`
`10`
`public static final int`
`ALLOW_LOD_RANGE_WRITE`
`11`
`public static final int`
`ALLOW_MIPMAP_MODE_READ`
`5`
`public static final int`
`ALLOW_SHARPEN_TEXTURE_READ`
`13`
`public static final int`
`ALLOW_SIZE_READ`
`8`
`public static final int`
`ALPHA`
`3`
`public static final int`
`ANISOTROPIC_NONE`
`0`
`public static final int`
`ANISOTROPIC_SINGLE_VALUE`
`1`
`public static final int`
`BASE_LEVEL`
`1`
`public static final int`
`BASE_LEVEL_LINEAR`
`3`
`public static final int`
`BASE_LEVEL_POINT`
`2`
`public static final int`
`CLAMP`
`2`
`public static final int`
`CLAMP_TO_BOUNDARY`
`5`
`public static final int`
`CLAMP_TO_EDGE`
`4`
`public static final int`
`FASTEST`
`0`
`public static final int`
`FILTER4`
`12`
`public static final int`
`INTENSITY`
`1`
`public static final int`
`LINEAR_SHARPEN`
`9`
`public static final int`
`LINEAR_SHARPEN_ALPHA`
`11`
`public static final int`
`LINEAR_SHARPEN_RGB`
`10`
`public static final int`
`LUMINANCE`
`2`
`public static final int`
`LUMINANCE_ALPHA`
`4`
`public static final int`
`MULTI_LEVEL_LINEAR`
`5`
`public static final int`
`MULTI_LEVEL_MIPMAP`
`2`
`public static final int`
`MULTI_LEVEL_POINT`
`4`
`public static final int`
`NICEST`
`1`
`public static final int`
`RGB`
`5`
`public static final int`
`RGBA`
`6`
`public static final int`
`WRAP`
`3`
javax.media.j3d.Texture2D
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_DETAIL_TEXTURE_READ`
`15`
`public static final int`
`DETAIL_ADD`
`0`
`public static final int`
`DETAIL_MODULATE`
`1`
`public static final int`
`LINEAR_DETAIL`
`6`
`public static final int`
`LINEAR_DETAIL_ALPHA`
`8`
`public static final int`
`LINEAR_DETAIL_RGB`
`7`
javax.media.j3d.TextureAttributes
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_BLEND_COLOR_READ`
`2`
`public static final int`
`ALLOW_BLEND_COLOR_WRITE`
`3`
`public static final int`
`ALLOW_COLOR_TABLE_READ`
`6`
`public static final int`
`ALLOW_COLOR_TABLE_WRITE`
`7`
`public static final int`
`ALLOW_COMBINE_READ`
`8`
`public static final int`
`ALLOW_COMBINE_WRITE`
`9`
`public static final int`
`ALLOW_MODE_READ`
`0`
`public static final int`
`ALLOW_MODE_WRITE`
`1`
`public static final int`
`ALLOW_TRANSFORM_READ`
`4`
`public static final int`
`ALLOW_TRANSFORM_WRITE`
`5`
`public static final int`
`BLEND`
`4`
`public static final int`
`COMBINE`
`6`
`public static final int`
`COMBINE_ADD`
`2`
`public static final int`
`COMBINE_ADD_SIGNED`
`3`
`public static final int`
`COMBINE_CONSTANT_COLOR`
`2`
`public static final int`
`COMBINE_DOT3`
`6`
`public static final int`
`COMBINE_INTERPOLATE`
`5`
`public static final int`
`COMBINE_MODULATE`
`1`
`public static final int`
`COMBINE_OBJECT_COLOR`
`0`
`public static final int`
`COMBINE_ONE_MINUS_SRC_ALPHA`
`3`
`public static final int`
`COMBINE_ONE_MINUS_SRC_COLOR`
`1`
`public static final int`
`COMBINE_PREVIOUS_TEXTURE_UNIT_STATE`
`3`
`public static final int`
`COMBINE_REPLACE`
`0`
`public static final int`
`COMBINE_SRC_ALPHA`
`2`
`public static final int`
`COMBINE_SRC_COLOR`
`0`
`public static final int`
`COMBINE_SUBTRACT`
`4`
`public static final int`
`COMBINE_TEXTURE_COLOR`
`1`
`public static final int`
`DECAL`
`3`
`public static final int`
`FASTEST`
`0`
`public static final int`
`MODULATE`
`2`
`public static final int`
`NICEST`
`1`
`public static final int`
`REPLACE`
`5`
javax.media.j3d.TextureCubeMap
Modifier and Type
Constant Field
Value
`public static final int`
`NEGATIVE_X`
`1`
`public static final int`
`NEGATIVE_Y`
`3`
`public static final int`
`NEGATIVE_Z`
`5`
`public static final int`
`POSITIVE_X`
`0`
`public static final int`
`POSITIVE_Y`
`2`
`public static final int`
`POSITIVE_Z`
`4`
javax.media.j3d.TextureUnitState
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_STATE_READ`
`0`
`public static final int`
`ALLOW_STATE_WRITE`
`1`
javax.media.j3d.Transform3D
Modifier and Type
Constant Field
Value
`public static final int`
`AFFINE`
`128`
`public static final int`
`CONGRUENT`
`64`
`public static final int`
`IDENTITY`
`2`
`public static final int`
`NEGATIVE_DETERMINANT`
`256`
`public static final int`
`ORTHOGONAL`
`16`
`public static final int`
`RIGID`
`32`
`public static final int`
`SCALE`
`4`
`public static final int`
`TRANSLATION`
`8`
`public static final int`
`ZERO`
`1`
javax.media.j3d.TransformGroup
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_TRANSFORM_READ`
`17`
`public static final int`
`ALLOW_TRANSFORM_WRITE`
`18`
javax.media.j3d.TransparencyAttributes
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_BLEND_FUNCTION_READ`
`4`
`public static final int`
`ALLOW_BLEND_FUNCTION_WRITE`
`5`
`public static final int`
`ALLOW_MODE_READ`
`0`
`public static final int`
`ALLOW_MODE_WRITE`
`1`
`public static final int`
`ALLOW_VALUE_READ`
`2`
`public static final int`
`ALLOW_VALUE_WRITE`
`3`
`public static final int`
`BLEND_DST_COLOR`
`4`
`public static final int`
`BLEND_ONE`
`1`
`public static final int`
`BLEND_ONE_MINUS_DST_COLOR`
`5`
`public static final int`
`BLEND_ONE_MINUS_SRC_ALPHA`
`3`
`public static final int`
`BLEND_ONE_MINUS_SRC_COLOR`
`7`
`public static final int`
`BLEND_SRC_ALPHA`
`2`
`public static final int`
`BLEND_SRC_COLOR`
`6`
`public static final int`
`BLEND_ZERO`
`0`
`public static final int`
`BLENDED`
`2`
`public static final int`
`FASTEST`
`0`
`public static final int`
`NICEST`
`1`
`public static final int`
`NONE`
`4`
`public static final int`
`SCREEN_DOOR`
`3`
javax.media.j3d.View
Modifier and Type
Constant Field
Value
`public static final int`
`CYCLOPEAN_EYE_VIEW`
`2`
`public static final int`
`HMD_VIEW`
`1`
`public static final int`
`LEFT_EYE_VIEW`
`0`
`public static final int`
`NOMINAL_FEET`
`1`
`public static final int`
`NOMINAL_HEAD`
`0`
`public static final int`
`NOMINAL_SCREEN`
`2`
`public static final int`
`PARALLEL_PROJECTION`
`0`
`public static final int`
`PERSPECTIVE_PROJECTION`
`1`
`public static final int`
`PHYSICAL_EYE`
`3`
`public static final int`
`PHYSICAL_SCREEN`
`1`
`public static final int`
`PHYSICAL_WORLD`
`1`
`public static final int`
`RELATIVE_TO_COEXISTENCE`
`3`
`public static final int`
`RELATIVE_TO_FIELD_OF_VIEW`
`2`
`public static final int`
`RELATIVE_TO_SCREEN`
`0`
`public static final int`
`RELATIVE_TO_WINDOW`
`1`
`public static final int`
`RIGHT_EYE_VIEW`
`1`
`public static final int`
`SCALE_EXPLICIT`
`1`
`public static final int`
`SCALE_SCREEN_SIZE`
`0`
`public static final int`
`SCREEN_VIEW`
`0`
`public static final int`
`TRANSPARENCY_SORT_GEOMETRY`
`1`
`public static final int`
`TRANSPARENCY_SORT_NONE`
`0`
`public static final int`
`VIRTUAL_EYE`
`2`
`public static final int`
`VIRTUAL_SCREEN`
`0`
`public static final int`
`VIRTUAL_WORLD`
`0`
`public static final int`
`VISIBILITY_DRAW_ALL`
`2`
`public static final int`
`VISIBILITY_DRAW_INVISIBLE`
`1`
`public static final int`
`VISIBILITY_DRAW_VISIBLE`
`0`
javax.media.j3d.ViewPlatform
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_POLICY_READ`
`12`
`public static final int`
`ALLOW_POLICY_WRITE`
`13`
javax.media.j3d.ViewSpecificGroup
Modifier and Type
Constant Field
Value
`public static final int`
`ALLOW_VIEW_READ`
`17`
`public static final int`
`ALLOW_VIEW_WRITE`
`18`
javax.media.j3d.WakeupOnCollisionEntry
Modifier and Type
Constant Field
Value
`public static final int`
`USE_BOUNDS`
`11`
`public static final int`
`USE_GEOMETRY`
`10`
javax.media.j3d.WakeupOnCollisionExit
Modifier and Type
Constant Field
Value
`public static final int`
`USE_BOUNDS`
`11`
`public static final int`
`USE_GEOMETRY`
`10`
javax.media.j3d.WakeupOnCollisionMovement
Modifier and Type
Constant Field
Value
`public static final int`
`USE_BOUNDS`
`11`
`public static final int`
`USE_GEOMETRY`
`10`